<form>
  <div class="row">
    <div class="col-md-6 col-lg-6">
      <label>Task Type</label>
      <div class="dropdown">
        <button class="btn btn-default btn-block dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
          <span ng-if="newTask.kind != null">{{newTask.kind}}</span>
          <span ng-if="newTask.kind == null">Choose type</span>
          <span class="caret"></span>
        </button>
        <ul class="dropdown-menu" id="kind" aria-labelledby="dropdownMenu1">
          <li><a ng-click = "setKind('Task')">Task</a></li>
          <li><a ng-click = "setKind('Subtask')">Subtask</a></li>
        </ul>
      </div>
    </div>
    <div class="col-md-6 col-lg-6">
      <label>Task Priority</label>
      <div class="dropdown">
        <button class="btn btn-default btn-block dropdown-toggle" type="button" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
          <span ng-if="newTask.priority != null">Priority {{newTask.priority}}</span>
          <span ng-if="newTask.priority == null">Choose priority</span>
          <span class="caret"></span>
        </button>
        <ul class="dropdown-menu" id="priority" aria-labelledby="dropdownMenu2">
          <li><a ng-click = "setPriority(1)">Priority 1</a></li>
          <li><a ng-click = "setPriority(2)">Priority 2</a></li>
          <li><a ng-click = "setPriority(3)">Priority 3</a></li>
        </ul>
      </div>
    </div>
  </div>

  <div class="form-group">
    <label>Name</label>
    <input type="text" class="form-control" ng-model="newTask.name" placeholder="Name"/>
  </div>
  <div class="form-group">
    <label>Description</label>
    <textarea class="form-control" ng-model="newTask.description" placeholder="Description"></textarea>
  </div>
  <div class="row">
    <div class="col-md-6">
      <div class="form-group">
        <label>Status</label>
        <select class="form-control" ng-model="newTask.status">
          <option value="Created">Created</option>
          <option value="InProgres">InProgres</option>
          <option value="Closed">Closed</option>
        </select>
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group">
        <label>Estimation</label>
        <input type="text" class="form-control" name="Estimation" ng-model="newTask.estimation" placeholder="Estimation"/>
      </div>
    </div>

  </div>
  <div class="row">
    <div class="col-md-6">
      <div class="form-group">
        <label>Start date</label>
        <input type="date" class="form-control" ng-model="newTask.begin"/>
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group">
        <label>Close date</label>
        <input type="date" class="form-control" ng-model="newTask.finish"/>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6">
      <div class="form-group">
        <label>Assign User</label>
        <!-- Example split danger button -->
        <div class="dropdown">
          <a class="btn btn-default btn-block" data-toggle="dropdown" href="#" aria-expanded="true">
            Choose user
            <i class="fa fa-caret-down"></i>
          </a>
          <ul class="dropdown-menu" style="width: 100%;">
            <li style="padding: 4px;">
              <input type="text" placeholder="Type user" class="form-control" ng-model="searchText"/>
            </li>
            <li class="divider"></li>
            <li style="overflow: initial; margin-left: -30px; ">
              <ul style="list-style-type: none;">
                <li ng-repeat-start="u in users | filter:searchText" style="padding: 4px;">
                  <div class="row" ng-click="assignUserToTask(u)">
                    <div class="col-sm-3">
                      <img ng-src="{{ u.avatar }}" style="width: 50px; height: 50px;" class="img-circle"/>
                    </div>
                    <div class="col-sm-9">
                      {{ u.name }}<br/>
                      <a>{{ u.email }}</a>
                    </div>
                  </div>

                </li>
                <li class="divider" ng-repeat-end></li>
              </ul>
            </li>
          </ul>
          <!-- /.dropdown-alerts -->
        </div>
      </div>
    </div>

    <div class="col-md-6">
      <div class="form-group">
        <span ng-if="updateTask.user_id == null">
          <label>Assign to me</label>
          <button type="button" class="btn btn-success btn-block" ng-click="assignUserToTask()">Assign to Me</button>
        </span>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-md-3"></div>
    <div class="col-md-6">
      <div class="row" ng-show="newTask.user_id != null">
        <div class="col-sm-3">
          <img ng-src="{{ tempUser.avatar }}" style="width: 50px; height: 50px;" class="img-circle"/>
        </div>
        <div class="col-sm-9">

          {{ tempUser.name }}<br/>
          <a>{{ tempUser.email }}</a>
        </div>
      </div>
    </div>
    <div class="col-md-3"></div>
  </div>
</form>
